/*****************************************************************
|
|      Xaudio Player for Windows CE  
|      Utility Functions    
|
|      (c) 1996-1998 MpegTV, LLC
|      Author: Gilles Boccon-Gibod (gilles@mpegtv.com)
|
 ****************************************************************/

/*----------------------------------------------------------------------
|       include
+---------------------------------------------------------------------*/
#include <windows.h>
#include "ceutils.h"
//#include "msg.h"

/*----------------------------------------------------------------------
|       A2WConvert
+---------------------------------------------------------------------*/
LPWSTR
A2WConvert(LPWSTR lpw, LPCSTR lpa, int nChars)
{
//	if (lpw == NULL) {
//		return TEXT("alloca failed in A2WConvert");
//	}
	lpw[0] = '\0';
	if (MultiByteToWideChar(CP_ACP, 0, lpa, -1, lpw, nChars) == 0) {
//		_msg_printf("MultiByteToWideChar \"%S\" failed, status %d\n", lpa, GetLastError());
	}
	return lpw;
}

/*----------------------------------------------------------------------
|       W2AConvert
+---------------------------------------------------------------------*/
LPSTR 
W2AConvert(LPSTR lpa, LPCWSTR lpw, int nChars)
{
//	if (lpa == NULL) {
//		return "alloca failed in W2AConvert";
//	}
	lpa[0] = '\0';
	if (WideCharToMultiByte(CP_ACP, 0, lpw, -1, lpa, nChars, NULL, NULL) == 0) {
//		_msg_printf("WideCharToMultiByte \"%s\" failed, status %d\n", lpw, GetLastError());
	}
	return lpa;
}
